Subject: Future Designs?

From: [email-masked] (Jennifer Scheerer)
Date: 10 Dec 1996 05:09:48 GMT

If, an up and coming magazine about the future, is looking for very 
intricate illustrations of futuristic cities, and forms of transportation.
  This is for the first issue.  If you are interested in having your 
illustration published (with your credit of course) please e-mail: 
[email-masked]